---
title: pointer-events
slug: Web/CSS/pointer-events
tags:
  - CSS
  - CSS Property
  - Reference
  - SVG
  - pointer-events
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong> <code>pointer-events</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets under what circumstances (if any) a particular graphic element can become the <a href="/en-US/docs/Web/API/Event/target">target</a> of pointer events.</p>

<div>{{EmbedInteractiveExample("pages/css/pointer-events.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
pointer-events: auto;
pointer-events: none;
pointer-events: visiblePainted; /* SVG only */
pointer-events: visibleFill;    /* SVG only */
pointer-events: visibleStroke;  /* SVG only */
pointer-events: visible;        /* SVG only */
pointer-events: painted;        /* SVG only */
pointer-events: fill;           /* SVG only */
pointer-events: stroke;         /* SVG only */
pointer-events: all;            /* SVG only */

/* Global values */
pointer-events: inherit;
pointer-events: initial;
pointer-events: unset;
</pre>

<p>The <code>pointer-events</code> property is specified as a single keyword chosen from the list of values below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The element behaves as it would if the <code>pointer-events</code> property were not specified. In SVG content, this value and the value <code>visiblePainted</code> have the same effect.</dd>
 <dt><code>none</code></dt>
 <dd>The element is never the <a href="/en-US/docs/Web/API/Event/target">target</a> of pointer events; however, pointer events may target its descendant elements if those descendants have <code>pointer-events</code> set to some other value. In these circumstances, pointer events will trigger event listeners on this parent element as appropriate on their way to/from the descendant during the event capture/<a href="/en-US/docs/Web/API/Event/bubbles">bubble</a> phases.</dd>
</dl>

<h4 id="SVG_only_experimental_for_HTML">SVG only (experimental for HTML)</h4>

<dl>
 <dt><code>visiblePainted</code></dt>
 <dd>SVG only (experimental for HTML). The element can only be the target of a pointer event when the <code>visibility</code> property is set to <code>visible</code> and e.g. when a mouse cursor is over the interior (i.e., 'fill') of the element and the <code>fill</code> property is set to a value other than <code>none</code>, or when a mouse cursor is over the perimeter (i.e., 'stroke') of the element and the <code>stroke</code> property is set to a value other than <code>none</code>.</dd>
 <dt><code>visibleFill</code></dt>
 <dd>SVG only. The element can only be the target of a pointer event when the <code>visibility</code> property is set to <code>visible</code> and when e.g. a mouse cursor is over the interior (i.e., fill) of the element. The value of the <code>fill</code> property does not affect event processing.</dd>
 <dt><code>visibleStroke</code></dt>
 <dd>SVG only. The element can only be the target of a pointer event when the <code>visibility</code> property is set to <code>visible</code> and e.g. when the mouse cursor is over the perimeter (i.e., stroke) of the element. The value of the <code>stroke</code> property does not affect event processing.</dd>
 <dt><code>visible</code></dt>
 <dd>SVG only (experimental for HTML). The element can be the target of a pointer event when the <code>visibility</code> property is set to <code>visible</code> and e.g. the mouse cursor is over either the interior (i.e., fill) or the perimeter (i.e., stroke) of the element. The values of the <code>fill</code> and <code>stroke</code> do not affect event processing.</dd>
 <dt><code>painted</code></dt>
 <dd>SVG only (experimental for HTML). The element can only be the target of a pointer event when e.g. the mouse cursor is over the interior (i.e., 'fill') of the element and the <code>fill</code> property is set to a value other than <code>none</code>, or when the mouse cursor is over the perimeter (i.e., 'stroke') of the element and the <code>stroke</code> property is set to a value other than <code>none</code>. The value of the <code>visibility</code> property does not affect event processing.</dd>
 <dt><code>fill</code></dt>
 <dd>SVG only. The element can only be the target of a pointer event when the pointer is over the interior (i.e., fill) of the element. The values of the <code>fill</code> and <code>visibility</code> properties do not affect event processing.</dd>
 <dt><code>stroke</code></dt>
 <dd>SVG only. The element can only be the target of a pointer event when the pointer is over the perimeter (i.e., stroke) of the element. The values of the <code>stroke</code> and <code>visibility</code> properties do not affect event processing.</dd>
 <dt><code>all</code></dt>
 <dd>SVG only  (experimental for HTML). The element can only be the target of a pointer event when the pointer is over the interior (i.e., fill) or the perimeter (i.e., stroke) of the element. The values of the <code>fill</code>, <code>stroke</code>, and <code>visibility</code> properties do not affect event processing.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>When this property is unspecified, the same characteristics of the <code>visiblePainted</code> value apply to SVG content.</p>

<p>In addition to indicating that the element is not the target of pointer events, the value <code>none</code> instructs the pointer event to go "through" the element and target whatever is "underneath" that element instead.</p>

<p>Note that preventing an element from being the target of pointer events by using <code>pointer-events</code> does <em>not</em> necessarily mean that pointer event listeners on that element <em>cannot</em> or <em>will not</em> be triggered. If one of the element's children has <code>pointer-events</code> explicitly set to <em>allow</em> that child to be the target of pointer events, then any events targeting that child will pass through the parent as the event travels along the parent chain, and trigger event listeners on the parent as appropriate. Of course any pointer activity at a point on the screen that is covered by the parent but not by the child will not be caught by either the child or the parent (it will go "through" the parent and target whatever is underneath).</p>

<p>Elements with <code>pointer-events: none</code> will still receive focus through sequential keyboard navigation using the <kbd>Tab</kbd> key.</p>

<p>We would like to provide finer grained control (than just <code>auto</code> and <code>none</code>) in HTML for which parts of an element will cause it to "catch" pointer events, and when. To help us in deciding how <code>pointer-events</code> should be further extended for HTML, if you have any particular things that you would like to be able to do with this property, then please add them to the Use Cases section of <a class="link-https" href="https://wiki.mozilla.org/SVG:pointer-events">this wiki page</a> (don't worry about keeping it tidy).</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Disabling_pointer_events_on_all_images">Disabling pointer events on all images</h3>

<p>This example disables pointer events (clicking, dragging, hovering, etc.) on all images.</p>

<pre class="brush:css notranslate">img {
  pointer-events: none;
}</pre>

<h3 id="Disabling_pointer_events_on_a_single_link">Disabling pointer events on a single link</h3>

<p>This example disables pointer events on the link to http://example.com.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush:html notranslate">&lt;ul&gt;
  &lt;li&gt;&lt;a href="https://developer.mozilla.org"&gt;MDN&lt;/a&gt;&lt;/li&gt;
  &lt;li&gt;&lt;a href="http://example.com"&gt;example.com&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">a[href="http://example.com"] {
  pointer-events: none;
}</pre>

<h4 id="Result">Result</h4>

<div>{{EmbedLiveSample("Disabling_pointer_events_on_a_single_link", "500", "100")}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'interact.html#PointerEventsProperty', 'pointer-events')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'interact.html#PointerEventsProperty', 'pointer-events')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<p>Its extension to HTML elements, though present in early drafts of CSS Basic User Interface Module Level 3, has been pushed to its <a class="external" href="http://wiki.csswg.org/spec/css4-ui#pointer-events">level 4</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.pointer-events")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The SVG attribute {{SVGAttr("pointer-events")}}</li>
 <li>The SVG attribute {{SVGAttr("visibility")}}</li>
 <li><a class="external" href="http://webkit.org/specs/PointerEventsProperty.html">WebKit Specs PointerEventsProperty</a> extended for use in (X)HTML content</li>
 <li>{{cssxref("user-select")}} - controls whether the user can select text</li>
</ul>
